package com.hp.user.service.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.*;

import com.hp.user.service.interceptor.SystemInterceptor;

//放在主类上不包括其他东西
//WebMvcConfigurerAdapter这个类，重写这个类中的方法可以让我们增加额外的配置
@Configuration
public class WebAppConfigurer implements WebMvcConfigurer {
//addResourceLocations指的是文件放置的目录

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 多个拦截器组成一个拦截器链 
        registry.addInterceptor(new SystemInterceptor()).addPathPatterns("/**").excludePathPatterns("/static/**");
    }
//addResoureHandler指的是对外暴露的访问路径 此处一般默认即可
    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
        // 静态资源拦截器
        registry.addResourceHandler("/static/**").addResourceLocations("classpath:/static/");
    }
}